GNU bug report logs - #60967
[PATCH 0/3] Update vnstat to 2.10 and build vnstati.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Bruno Victal <mirai@HIDDEN>; Keywords: patch; Done: Christopher Baines <mail@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 60967-done <at> debbugs.gnu.org:


Received: (at 60967-done) by debbugs.gnu.org; 1 Feb 2023 08:49:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 03:49:57 2023
Received: from localhost ([127.0.0.1]:56361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pN8oX-0002Vr-7e
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 03:49:57 -0500
Received: from mira.cbaines.net ([212.71.252.8]:42110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1pN8nr-0002T3-Ju
 for 60967-done <at> debbugs.gnu.org; Wed, 01 Feb 2023 03:49:56 -0500
Received: from localhost (unknown [IPv6:2a02:8010:68c1:0:54d1:d5d4:280e:f699])
 by mira.cbaines.net (Postfix) with ESMTPSA id 32DEB27BBE9;
 Wed,  1 Feb 2023 08:48:59 +0000 (GMT)
Received: from felis (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 34236bc0;
 Wed, 1 Feb 2023 08:48:57 +0000 (UTC)
References: <cover.1674233232.git.mirai@HIDDEN>
User-agent: mu4e 1.8.11; emacs 28.2
From: Christopher Baines <mail@HIDDEN>
To: Bruno Victal <mirai@HIDDEN>
Subject: Re: [bug#60967] [PATCH 0/3] Update vnstat to 2.10 and build vnstati.
Date: Wed, 01 Feb 2023 08:48:34 +0000
In-reply-to: <cover.1674233232.git.mirai@HIDDEN>
Message-ID: <87pmatpy86.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60967-done
Cc: 60967-done <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Bruno Victal <mirai@HIDDEN> writes:

> Bruno Victal (3):
>   gnu: vnstat: Update to 2.10.
>   gnu: vnstat: Use G-Expressions.
>   gnu: vnstat: Build vnstati.
>
>  gnu/packages/networking.scm | 26 ++++++++++++++------------
>  1 file changed, 14 insertions(+), 12 deletions(-)

Thanks Bruno, I've gone ahead and pushed these to master as
b6b0291918ed690f82df4f412a9558fc9f3299b7.

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAmPaJ3lfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9XeCbw/7BKBEIrRhLNCcnp8AtOw2sDlQrg0UwQdo
veXrPeUdUJY0jqzmsFSZmEFuSXaMLd97fA/5/N9MwloS0X2YY6NLKFuFBlKUssRZ
EdL5Qu3HHChf9s+lp2t6NxcIohGd/KK8Gws0HLzrHkfh2LnVFyBw6FqDtZ1k4JwI
bjoyOXcElzcwexF87sL3z0giVsYKSzTUJAbONcA7kzaGr3RBR60ZDG+wYCljnBhN
Wium0sbE3hMYQeC0mImJpbs1b4L0yqvbIiA7K9sVrZIy6Nywr2fFkF7kKSXOrYID
UmErwNthrAfH051/gaWlQnNGmkSZLQbqqzudikQUhFdSY+ewNB6baStUEIkc6TgX
EUwV8Qx4OSGIbVcQl7aUaNbKRUFpMhPdfLFJlvpTTMYzVRyJ+tJkyZdgeLRZ1Lll
NRRjAFtO5ynV5MIG+Gj3ElYtw4G8/kA2+VE/exasjnGlk70LRcREXijg8HRS2vfP
HUelaAKEwFb820jURFzqXYNHoqAG/SFm7sNtyeNTDS80jchR03FpBSMgJe8YMhux
Hyb7PF+rI7E5Zre+1T+vPr30tStob8wn6TK7aS6C0+ZBXRZwWcytLXIcdQxryZ2X
MR/RB5gK7RaQQyyzac1J5WyfaLVBgsZGAtPt8c2Rkj2qb9CTRXTmXjJt2fABIYL+
lD/6Jk2oCzc=
=uiCx
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Bruno Victal <mirai@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Christopher Baines <mail@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Feb 2023 08:49:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 03:49:41 2023
Received: from localhost ([127.0.0.1]:56352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pN8oH-0002Ti-7D
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 03:49:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:47154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1pN8oE-0002TS-4i
 for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 03:49:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1pN8oD-00010l-Lu
 for guix-patches@HIDDEN; Wed, 01 Feb 2023 03:49:37 -0500
Received: from mira.cbaines.net ([212.71.252.8])
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1pN8oA-0004HQ-Eh
 for guix-patches@HIDDEN; Wed, 01 Feb 2023 03:49:37 -0500
Received: from localhost (unknown [IPv6:2a02:8010:68c1:0:54d1:d5d4:280e:f699])
 by mira.cbaines.net (Postfix) with ESMTPSA id 32DEB27BBE9;
 Wed,  1 Feb 2023 08:48:59 +0000 (GMT)
Received: from felis (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 34236bc0;
 Wed, 1 Feb 2023 08:48:57 +0000 (UTC)
References: <cover.1674233232.git.mirai@HIDDEN>
User-agent: mu4e 1.8.11; emacs 28.2
From: Christopher Baines <mail@HIDDEN>
To: Bruno Victal <mirai@HIDDEN>
Subject: Re: [bug#60967] [PATCH 0/3] Update vnstat to 2.10 and build vnstati.
Date: Wed, 01 Feb 2023 08:48:34 +0000
In-reply-to: <cover.1674233232.git.mirai@HIDDEN>
Message-ID: <87pmatpy86.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=212.71.252.8; envelope-from=mail@HIDDEN;
 helo=mira.cbaines.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 60967-done <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


Bruno Victal <mirai@HIDDEN> writes:

> Bruno Victal (3):
>   gnu: vnstat: Update to 2.10.
>   gnu: vnstat: Use G-Expressions.
>   gnu: vnstat: Build vnstati.
>
>  gnu/packages/networking.scm | 26 ++++++++++++++------------
>  1 file changed, 14 insertions(+), 12 deletions(-)

Thanks Bruno, I've gone ahead and pushed these to master as
b6b0291918ed690f82df4f412a9558fc9f3299b7.

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAmPaJ3lfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9XeCbw/7BKBEIrRhLNCcnp8AtOw2sDlQrg0UwQdo
veXrPeUdUJY0jqzmsFSZmEFuSXaMLd97fA/5/N9MwloS0X2YY6NLKFuFBlKUssRZ
EdL5Qu3HHChf9s+lp2t6NxcIohGd/KK8Gws0HLzrHkfh2LnVFyBw6FqDtZ1k4JwI
bjoyOXcElzcwexF87sL3z0giVsYKSzTUJAbONcA7kzaGr3RBR60ZDG+wYCljnBhN
Wium0sbE3hMYQeC0mImJpbs1b4L0yqvbIiA7K9sVrZIy6Nywr2fFkF7kKSXOrYID
UmErwNthrAfH051/gaWlQnNGmkSZLQbqqzudikQUhFdSY+ewNB6baStUEIkc6TgX
EUwV8Qx4OSGIbVcQl7aUaNbKRUFpMhPdfLFJlvpTTMYzVRyJ+tJkyZdgeLRZ1Lll
NRRjAFtO5ynV5MIG+Gj3ElYtw4G8/kA2+VE/exasjnGlk70LRcREXijg8HRS2vfP
HUelaAKEwFb820jURFzqXYNHoqAG/SFm7sNtyeNTDS80jchR03FpBSMgJe8YMhux
Hyb7PF+rI7E5Zre+1T+vPr30tStob8wn6TK7aS6C0+ZBXRZwWcytLXIcdQxryZ2X
MR/RB5gK7RaQQyyzac1J5WyfaLVBgsZGAtPt8c2Rkj2qb9CTRXTmXjJt2fABIYL+
lD/6Jk2oCzc=
=uiCx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60967; Package guix-patches. Full text available.

Message received at 60967 <at> debbugs.gnu.org:


Received: (at 60967) by debbugs.gnu.org; 20 Jan 2023 16:51:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 20 11:51:39 2023
Received: from localhost ([127.0.0.1]:46987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pIuc6-00023R-MW
	for submit <at> debbugs.gnu.org; Fri, 20 Jan 2023 11:51:38 -0500
Received: from smtpm3.myservices.hosting ([185.26.105.234]:40354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mirai@HIDDEN>) id 1pIubz-00022l-1g
 for 60967 <at> debbugs.gnu.org; Fri, 20 Jan 2023 11:51:31 -0500
Received: from mail1.netim.hosting (unknown [185.26.106.172])
 by smtpm3.myservices.hosting (Postfix) with ESMTP id A5F5620F44
 for <60967 <at> debbugs.gnu.org>; Fri, 20 Jan 2023 17:51:29 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
 by mail1.netim.hosting (Postfix) with ESMTP id 615988009A;
 Fri, 20 Jan 2023 17:51:29 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail1.netim.hosting
Received: from mail1.netim.hosting ([127.0.0.1])
 by localhost (mail1-1.netim.hosting [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id q2Dplj5LUaIq; Fri, 20 Jan 2023 17:51:29 +0100 (CET)
Received: from guix-nuc.home.arpa (bl9-118-236.dsl.telepac.pt [85.242.118.236])
 (Authenticated sender: lumen@HIDDEN)
 by mail1.netim.hosting (Postfix) with ESMTPSA id C07F38009B;
 Fri, 20 Jan 2023 17:51:28 +0100 (CET)
From: Bruno Victal <mirai@HIDDEN>
To: 60967 <at> debbugs.gnu.org
Subject: [PATCH 2/3] gnu: vnstat: Use G-Expressions.
Date: Fri, 20 Jan 2023 16:51:20 +0000
Message-Id: <a9f6858d74aaaf8a3f27f4f177a304cf2e6d95de.1674233232.git.mirai@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <cover.1674233232.git.mirai@HIDDEN>
References: <cover.1674233232.git.mirai@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60967
Cc: Bruno Victal <mirai@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/networking.scm (vnstat): Use G-Expressions.
---
 gnu/packages/networking.scm | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 0bdd38f703..0565d997b2 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -4536,15 +4536,16 @@ (define-public vnstat
    (inputs (list sqlite))
    (native-inputs (list pkg-config check))
    (arguments
-    `(#:phases
-      (modify-phases %standard-phases
-        (add-before 'check 'disable-id-tests
-          (lambda _
-            (substitute*
-                '("Makefile" "tests/vnstat_tests.c")
-              (("tests/id_tests.c \\$") "\\")
-              (("tests/id_tests.h h") "h")
-              (("^.*id_tests.*$") "")))))))
+    (list
+     #:phases
+     #~(modify-phases %standard-phases
+         (add-before 'check 'disable-id-tests
+           (lambda _
+             (substitute*
+                 '("Makefile" "tests/vnstat_tests.c")
+               (("tests/id_tests.c \\$") "\\")
+               (("tests/id_tests.h h") "h")
+               (("^.*id_tests.*$") "")))))))
    (home-page "https://humdi.net/vnstat/")
    (synopsis "Network traffic monitoring tool")
    (description "vnStat is a console-based network traffic monitor that keeps
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60967; Package guix-patches. Full text available.

Message received at 60967 <at> debbugs.gnu.org:


Received: (at 60967) by debbugs.gnu.org; 20 Jan 2023 16:51:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 20 11:51:32 2023
Received: from localhost ([127.0.0.1]:46985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pIuc0-000238-Cn
	for submit <at> debbugs.gnu.org; Fri, 20 Jan 2023 11:51:32 -0500
Received: from smtpm6.myservices.hosting ([185.26.105.207]:49052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mirai@HIDDEN>) id 1pIuby-00022m-M9
 for 60967 <at> debbugs.gnu.org; Fri, 20 Jan 2023 11:51:31 -0500
Received: from mail1.netim.hosting (unknown [185.26.106.172])
 by smtpm6.myservices.hosting (Postfix) with ESMTP id E3C8020CB0
 for <60967 <at> debbugs.gnu.org>; Fri, 20 Jan 2023 17:51:29 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
 by mail1.netim.hosting (Postfix) with ESMTP id 8A8EC8009B;
 Fri, 20 Jan 2023 17:51:29 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail1.netim.hosting
Received: from mail1.netim.hosting ([127.0.0.1])
 by localhost (mail1-1.netim.hosting [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id geasLqtAW1KY; Fri, 20 Jan 2023 17:51:29 +0100 (CET)
Received: from guix-nuc.home.arpa (bl9-118-236.dsl.telepac.pt [85.242.118.236])
 (Authenticated sender: lumen@HIDDEN)
 by mail1.netim.hosting (Postfix) with ESMTPSA id 2288380097;
 Fri, 20 Jan 2023 17:51:29 +0100 (CET)
From: Bruno Victal <mirai@HIDDEN>
To: 60967 <at> debbugs.gnu.org
Subject: [PATCH 3/3] gnu: vnstat: Build vnstati.
Date: Fri, 20 Jan 2023 16:51:21 +0000
Message-Id: <26da96d877bca48ce0fdf16fd6116ee422350f43.1674233232.git.mirai@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <cover.1674233232.git.mirai@HIDDEN>
References: <cover.1674233232.git.mirai@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60967
Cc: Bruno Victal <mirai@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/networking.scm (vnstat)[inputs]: Add gd.
---
 gnu/packages/networking.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 0565d997b2..d0d915604f 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -111,6 +111,7 @@ (define-module (gnu packages networking)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages flex)
   #:use-module (gnu packages freedesktop)
+  #:use-module (gnu packages gd)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
@@ -4533,7 +4534,7 @@ (define-public vnstat
        (base32
         "09bx8mz9jdq94i0mpmjbc7dis0klvjx85lml5mp3d36dwm21gim9"))))
    (build-system gnu-build-system)
-   (inputs (list sqlite))
+   (inputs (list sqlite gd))
    (native-inputs (list pkg-config check))
    (arguments
     (list
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60967; Package guix-patches. Full text available.

Message received at 60967 <at> debbugs.gnu.org:


Received: (at 60967) by debbugs.gnu.org; 20 Jan 2023 16:51:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 20 11:51:32 2023
Received: from localhost ([127.0.0.1]:46983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pIuc0-000236-1w
	for submit <at> debbugs.gnu.org; Fri, 20 Jan 2023 11:51:32 -0500
Received: from smtpmciv8.myservices.hosting ([185.26.106.203]:55292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mirai@HIDDEN>) id 1pIuby-00022k-5R
 for 60967 <at> debbugs.gnu.org; Fri, 20 Jan 2023 11:51:30 -0500
Received: from mail1.netim.hosting (unknown [185.26.106.172])
 by smtpmciv8.myservices.hosting (Postfix) with ESMTP id 2875120CB6
 for <60967 <at> debbugs.gnu.org>; Fri, 20 Jan 2023 17:51:28 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
 by mail1.netim.hosting (Postfix) with ESMTP id BD1988009A;
 Fri, 20 Jan 2023 17:51:28 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail1.netim.hosting
Received: from mail1.netim.hosting ([127.0.0.1])
 by localhost (mail1-1.netim.hosting [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 8afgOufE3yEp; Fri, 20 Jan 2023 17:51:28 +0100 (CET)
Received: from guix-nuc.home.arpa (bl9-118-236.dsl.telepac.pt [85.242.118.236])
 (Authenticated sender: lumen@HIDDEN)
 by mail1.netim.hosting (Postfix) with ESMTPSA id 63B8080097;
 Fri, 20 Jan 2023 17:51:28 +0100 (CET)
From: Bruno Victal <mirai@HIDDEN>
To: 60967 <at> debbugs.gnu.org
Subject: [PATCH 1/3] gnu: vnstat: Update to 2.10.
Date: Fri, 20 Jan 2023 16:51:19 +0000
Message-Id: <9791d35bb7c06446741efcffeaeb936c4f5246d5.1674233232.git.mirai@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <cover.1674233232.git.mirai@HIDDEN>
References: <cover.1674233232.git.mirai@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60967
Cc: Bruno Victal <mirai@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/networking.scm (vnstat): Update to 2.10.
---
 gnu/packages/networking.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index a7b51ed1ff..0bdd38f703 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -4523,7 +4523,7 @@ (define-public putty
 (define-public vnstat
   (package
    (name "vnstat")
-   (version "2.9")
+   (version "2.10")
    (source
     (origin
       (method url-fetch)
@@ -4531,7 +4531,7 @@ (define-public vnstat
                           version ".tar.gz"))
       (sha256
        (base32
-        "1iwxmnpabfljvyng7c8k3z83yw1687i66z5s1980c5x9vrsi98hi"))))
+        "09bx8mz9jdq94i0mpmjbc7dis0klvjx85lml5mp3d36dwm21gim9"))))
    (build-system gnu-build-system)
    (inputs (list sqlite))
    (native-inputs (list pkg-config check))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60967; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2023 16:49:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 20 11:49:40 2023
Received: from localhost ([127.0.0.1]:46976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pIuaC-0001zZ-L9
	for submit <at> debbugs.gnu.org; Fri, 20 Jan 2023 11:49:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:38582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mirai@HIDDEN>) id 1pIuaB-0001zS-Jn
 for submit <at> debbugs.gnu.org; Fri, 20 Jan 2023 11:49:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mirai@HIDDEN>) id 1pIuZm-0000wI-I0
 for guix-patches@HIDDEN; Fri, 20 Jan 2023 11:49:20 -0500
Received: from smtpmciv5.myservices.hosting ([185.26.107.241])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mirai@HIDDEN>) id 1pIuZk-0007Sw-I8
 for guix-patches@HIDDEN; Fri, 20 Jan 2023 11:49:13 -0500
Received: from mail1.netim.hosting (unknown [185.26.106.172])
 by smtpmciv5.myservices.hosting (Postfix) with ESMTP id DBB0E20572
 for <guix-patches@HIDDEN>; Fri, 20 Jan 2023 17:48:56 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
 by mail1.netim.hosting (Postfix) with ESMTP id 913D98009A;
 Fri, 20 Jan 2023 17:48:56 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail1.netim.hosting
Received: from mail1.netim.hosting ([127.0.0.1])
 by localhost (mail1-1.netim.hosting [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 2hL7WStD2l53; Fri, 20 Jan 2023 17:48:56 +0100 (CET)
Received: from guix-nuc.home.arpa (bl9-118-236.dsl.telepac.pt [85.242.118.236])
 (Authenticated sender: lumen@HIDDEN)
 by mail1.netim.hosting (Postfix) with ESMTPSA id 2D8AC80097;
 Fri, 20 Jan 2023 17:48:56 +0100 (CET)
From: Bruno Victal <mirai@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/3] Update vnstat to 2.10 and build vnstati.
Date: Fri, 20 Jan 2023 16:48:43 +0000
Message-Id: <cover.1674233232.git.mirai@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
tags: patch
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.26.107.241; envelope-from=mirai@HIDDEN;
 helo=smtpmciv5.myservices.hosting
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Bruno Victal <mirai@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Bruno Victal (3):
  gnu: vnstat: Update to 2.10.
  gnu: vnstat: Use G-Expressions.
  gnu: vnstat: Build vnstati.

 gnu/packages/networking.scm | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)


base-commit: ec3226c3985d5ec168d45499f12dfcf87f0f5c94
-- 
2.38.1





Acknowledgement sent to Bruno Victal <mirai@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60967; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Feb 2023 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.